/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#include <jni.h>

#include "main.h"
#include "log.h"
#include "videoarch.h"

extern const char *filesdir;

JNIEXPORT jint JNICALL Java_org_gp2x_cvice_VICEMachine_cx64Init(JNIEnv *env, jobject obj, jstring jfilesdir, jbyteArray video_buf) {
    int argc=5;
    char *argv[]={ "x64", "-joyport1device", "1", "-joyport2device", "2", NULL };
    //char *argv[]={ "x64", "/sdcard/test/1942-2.sna", NULL };

    filesdir=(*env)->GetStringUTFChars(env, jfilesdir, 0);

    video_buffer=(uint32_t *)(*env)->GetByteArrayElements(env, video_buf, 0);
    video_width=384;
    video_height=272;
    src_video_width=504;
    video_x_adjust=100;
    video_y_adjust=16;

    int i=main_program(argc, argv);
    log_message(LOG_DEFAULT, "main_program returns %d", i);
    return 0;
}
