/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#include <jni.h>

#include "main.h"
#include "log.h"
#include "videoarch.h"

extern const char *filesdir;

JNIEXPORT jint JNICALL Java_org_gp2x_cvice_VICEMachine_cxvicInit(JNIEnv *env, jobject obj, jstring jfilesdir, jbyteArray video_buf) {
    int argc=3;
    char *argv[]={ "xvic", "-joyport1device", "1", NULL };
    //char *argv[]={ "xvic", NULL };

    filesdir=(*env)->GetStringUTFChars(env, jfilesdir, 0);

    video_buffer=(uint32_t *)(*env)->GetByteArrayElements(env, video_buf, 0);
    video_width=480;
    video_height=312; // canvas->draw_buffer->canvas_height
    src_video_width=1600; // canvas->draw_buffer->canvas_width
    video_x_adjust=560;
    video_y_adjust=0;

    int i=main_program(argc, argv);
    log_message(LOG_DEFAULT, "main_program returns %d", i);
    return 0;
}
