/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#include <jni.h>

#include "joy.h"
#include "videoarch.h"
#include "kbd.h"

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_keyPress(JNIEnv *env, jobject obj, jint down, jint key) {
    //kbd_press(down, key);
    key_action=down;
    key_pressed=key;
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_loadFile(JNIEnv *env, jobject obj, jstring jfile) {
    menu_selected_file=(*env)->GetStringUTFChars(env, jfile, 0);
    menu_load_file=1;
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_setJoystick(JNIEnv *env, jobject obj,
        jint port, jint up, jint down, jint left, jint right, jint fire) {
    unsigned char state=0;
    if(up==1) state|=0x01; else state&=~0x01;
    if(down==1) state|=0x02; else state&=~0x02;
    if(left==1) state|=0x04; else state&=~0x04;
    if(right==1) state|=0x08; else state&=~0x08;
    if(fire==1) state|=0x10; else state&=~0x10;

    if(port==0) {
        joy1_state=state;
        set_joy1=1;
    } else {
        joy2_state=state;
        set_joy2=1;
    }
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_vicePause(JNIEnv *env, jobject obj) {
    vice_paused=1;
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_viceResume(JNIEnv *env, jobject obj) {
    vice_paused=0;
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_viceExit(JNIEnv *env, jobject obj) {
    vice_exit=1;
}

JNIEXPORT jint JNICALL Java_org_gp2x_cvice_VICEMachine_videoUpdated(JNIEnv *env, jobject obj) {
    int i=video_buf_updated;
    video_buf_updated=0;
    return i;
}

JNIEXPORT void JNICALL Java_org_gp2x_cvice_VICEMachine_viceUIReset(JNIEnv *env, jobject obj) {
    vice_uireset=1;
}
