/*
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#include <keyboard.h>
#include <vice-event.h>
#include <stdlib.h>

#include "log.h"

volatile int key_pressed;
volatile int key_action;

void kbd_arch_init(void) {}

signed long kbd_arch_keyname_to_keynum(char *keyname) {
    //log_message(LOG_DEFAULT, "kbd_arch_keyname_to_keynum: %s", keyname);
    return (signed long)atoi(keyname);
}

const char *kbd_arch_keynum_to_keyname(signed long keynum) {
    //log_message(LOG_DEFAULT, "kbd_arch_keynum_to_keyname");
    return "";
}

void kbd_initialize_numpad_joykeys(int* joykeys) {
}

int kbd_arch_get_host_mapping(void) {
    //log_message(LOG_DEFAULT, "kbd_arch_get_host_mapping");
    return KBD_MAPPING_US;
}

void check_keypress() {
    if (key_pressed) {
        log_message(LOG_DEFAULT, "kbd_press: %d", key_pressed);
        if (key_action) keyboard_key_pressed((unsigned long) key_pressed);
        else keyboard_key_released((unsigned long) key_pressed);
        key_pressed=0;
    }
}
