/*
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#ifndef CVICE_VIDEOARCH_H_H
#define CVICE_VIDEOARCH_H_H

typedef void (*video_refresh_func_t)(struct video_canvas_s *, int, int, int, int, unsigned int, unsigned int);

struct video_canvas_s {
    unsigned int initialized;
    unsigned int created;

    struct video_render_config_s *videoconfig;
    struct draw_buffer_s *draw_buffer;
    struct viewport_s *viewport;
    struct geometry_s *geometry;
    struct palette_s *palette;
    float refreshrate; /* currently displayed refresh rate */

    struct video_draw_buffer_callback_s *video_draw_buffer_callback;

    int offx; /* for lightpen */
    int app_shell; /* app shell that belongs to this canvas */

    //char *screen;
};
typedef struct video_canvas_s video_canvas_t;

extern uint32_t *video_buffer;
extern unsigned int video_width;
extern unsigned int video_height;
extern unsigned int src_video_width;
extern unsigned int video_x_adjust;
extern unsigned int video_y_adjust;
extern volatile int video_buf_updated;

extern volatile int vice_paused;
extern volatile int vice_uireset;
extern volatile int vice_exit;
extern volatile int menu_load_file;
extern const char *menu_selected_file;

#endif //CVICE_VIDEOARCH_H_H
