/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

package org.gp2x.cvice;

import android.content.res.AssetManager;
import android.content.Context;
import android.util.Log;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class FileManagement {

    // copy assets into /data/user/0/org.gp2x.cvice/files
    public int SyncAssets(Context ctx, String path) {
        AssetManager assetManager=ctx.getAssets();
        String assets[] = null;
        try {
            //Log.i("tag", "copyFileOrDir() "+path);
            assets=assetManager.list(path);
            if (assets.length == 0) {
                copyFile(ctx, path);
            } else {
            String fullPath=getDirPath(ctx)+"/"+path;
            //Log.i("tag", "path="+fullPath);
            File dir = new File(fullPath);
            if (!dir.exists() && !path.startsWith("images") && !path.startsWith("sounds") && !path.startsWith("webkit"))
                if (!dir.mkdirs())
                    Log.i("tag", "could not create dir "+fullPath);
            for(int i = 0; i<assets.length; ++i) {
                String p;
                if (path.equals(""))
                    p = "";
                else
                    p = path + "/";

                if (!path.startsWith("images") && !path.startsWith("sounds") && !path.startsWith("webkit"))
                    SyncAssets(ctx, p+assets[i]);
            }
            }
        } catch (IOException ex) {
            Log.e("tag", "I/O Exception", ex);
        }
        return 0;
    }

    private void copyFile(Context ctx, String filename) {
        AssetManager assetManager = ctx.getAssets();

        InputStream in=null;
        OutputStream out=null;
        String newFileName=null;
        try {
            //Log.i("tag", "copyFile() "+filename);
            in=assetManager.open(filename);
            //if (filename.endsWith(".jpg")) // extension was added to avoid compression on APK file
            //    newFileName = TARGET_BASE_PATH + filename.substring(0, filename.length()-4);
            //else
            newFileName=getDirPath(ctx)+"/"+filename;
            out = new FileOutputStream(newFileName);

            byte[] buffer = new byte[1024];
            int read;
            while((read = in.read(buffer)) != -1) {
                out.write(buffer, 0, read);
            }
            in.close();
            in = null;
            out.flush();
            out.close();
            out = null;
        } catch (Exception e) {
            Log.e("tag", "Exception in copyFile() of "+newFileName);
            Log.e("tag", "Exception in copyFile() "+e.toString());
        }
    }

    public String getDirPath(Context ctx) {
        return ctx.getFilesDir().getAbsolutePath();
    }
}
