/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

package org.gp2x.cvice;

/**
 * Contains vertex, normal and color data.
 */
public final class WorldLayoutData {

    public static final float[] TEX_COORDS = new float[] {
            0.0f, 0.0f,
            0.0f, 1.0f,
            1.0f, 0.0f,
            0.0f, 1.0f,
            1.0f, 1.0f,
            1.0f, 0.0f
    };

    public static final float[] SCREEN_COORDS = new float[] {
            -20.0f, 14f, 1.0f,
            -20.0f, -14f, 1.0f,
            20.0f, 14f, 1.0f,
            -20.0f, -14f, 1.0f,
            20.0f, -14f, 1.0f,
            20.0f, 14f, 1.0f
    };

    public static final float[] MENU_COORDS = new float[] {
            -0.5f, 0.5f, 1.0f,
            -0.5f, -0.5f, 1.0f,
            0.5f, 0.5f, 1.0f,
            -0.5f, -0.5f, 1.0f,
            0.5f, -0.5f, 1.0f,
            0.5f, 0.5f, 1.0f
    };

}
